%global momorel 2
%define __libtoolize :

Name: brasero
Summary: brasero
Version: 2.26.3
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2 
NoSource: 0
URL: http://projects.gnome.org/brasero/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig

BuildPrereq: gstreamer-devel
BuildPrereq: gstreamer-plugins-base-devel
BuildPrereq: glib2-devel
BuildPrereq: libxml2-devel
BuildPrereq: GConf2-devel
BuildPrereq: gtk2-devel
BuildPrereq: dbus-glib-devel
BuildPrereq: hal-devel
BuildPrereq: libSM-devel
BuildPrereq: nautilus-devel
BuildPrereq: libnotify-devel
# BuildPrereq: libbeagle-devel
BuildPrereq: totem-pl-parser-devel
BuildPrereq: libburn-devel
BuildPrereq: libisofs-devel

%description
Brasero is a application to burn CD/DVD for the Gnome Desktop. It is
designed to be as simple as possible and has some unique features to
enable users to create their discs easily and quickly.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildPrereq: libglade2-devel
BuildPrereq: glib2-devel
BuildPrereq: gnome-vfs2-devel
BuildPrereq: gtk2-devel
BuildPrereq: libgnome-devel
BuildPrereq: nautilus-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --enable-gtk-doc \
    --disable-scrollkeeper \
    --disable-caches \
    --disable-schemas-install \
    --disable-search
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/brasero.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/brasero.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/brasero.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/brasero.schemas
%{_bindir}/%{name}
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_libdir}/%{name}
%{_libdir}/nautilus/extensions-2.0/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*
%{_datadir}/mime/packages/brasero.xml
%{_mandir}/man1/brasero.1.*

%files devel
%defattr (-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libbrasero-media.pc
%{_datadir}//gtk-doc/html/%{name}
%{_datadir}/omf/%{name}

%changelog
* Thu Oct 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-2m)
- good-bye beagle

* Thu Jul  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Mon Mar  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91.2-1m)
- update to 2.25.91.2

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- initial build
